
Figure - Bug #115230
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开文件应用->进recent->点击小窗应用中的文件图标->文件应用全屏打开
2023-01-11 11:03 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-11

Priority: High Due date: 2023-02-10

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0069.X101

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 问题产生的原因是由于启动DocumentsUI的LauncherActivity的时候 在LauncherActivity又启动了另外一个FileActivity,导致FileActivity没有小窗显示��解决的方法是在Task的onConfigurationChangedInner方法判断一下windowingMode的变化,重新更新一下Task的bounds.

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开文件应用（全屏）

2、进recent

3、点击小窗应用中的文件图标

【预期结果】

2、文件应用以小窗模式打开

【实际结果】

2、文件应用全屏打开

History

#1 - 2023-01-11 16:13 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW-鲁凯峰

请帮忙看一下这个问题，文件应用全屏打开后带有圆角，应该是小窗已经启动，但是小窗的显示尺寸出现了问题。

#2 - 2023-01-11 16:14 - CD APP-王营

- Category changed from CD-APP to 窗口定制

#3 - 2023-01-11 21:11 - CD FW 曹覃刚

- Due date set to 2023-02-10

#4 - 2023-01-16 15:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

176555 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com
AF:MultiWindow: fix freeform bounds1.fix when start activity is not in a new task,move to front or deliveredto top,update launch bounds again.2.fix when start

same freeform task, it start failedTC-RID: 1201-0204601IssueID: TS-R-BUG-115230Change-Id: If5ffedfd6474a3048158a8ad0f5bdedacc887943

#5 - 2023-01-16 15:27 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 问题产生的原因是由于启动DocumentsUI的LauncherActivity的时候 在LauncherActivity又启动了另外一个FileActivity,导致FileActivity没有小

窗显示

解决的方法是在Task的onConfigurationChangedInner方法判断一下windowingMode的变化,重新更新一下Task的bounds.

■ Current conclusion

该问题已经解决

■ My analysis

问题产生的原因是由于启动DocumentsUI的LauncherActivity的时候 在LauncherActivity又启动了另外一个FileActivity,导致FileActivity没有小窗显示

解决的方法是在Task的onConfigurationChangedInner方法判断一下windowingMode的变化,重新更新一下Task的bounds.

另外一个问题是点击同一个app,当它从全屏到小窗显示时,小窗消失了

1.先点击一个app 全屏显示的

2.进入recent

3.点击左边相同的app 进入小窗

4.在进入recent

5.点击小窗app

产生该问题的原因是由于FreeFormWindowHelper.java在退出recent时,对于是否要显示小窗的判断有问题,重新添加一个当要启动的Task是小窗模式时,重新

启动小窗

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/176555

#6 - 2023-01-18 18:58 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0069.X101

1.18

验证通过

#7 - 2023-01-18 18:58 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#8 - 2023-02-08 15:30 - CD TEST-方永红

- % Done changed from 0 to 100
Files

Phone-STS40X190122 2023-01-11 10-47-04.mp4 14.3 MB 2023-01-11 CD TEST-方永红
